import request from '@/utils/request'

// 查询短信模板信息列表
export function listMessage(query) {
    return request({
        url: '/manage/message/list',
        method: 'get',
        params: query
    })
}

// 查询短信模板信息详细
export function getMessage(id) {
    return request({
        url: '/manage/message/' + id,
        method: 'get'
    })
}

// 新增短信模板信息
export function addMessage(data) {
    return request({
        url: '/manage/message/add',
        method: 'post',
        data: data
    })
}

// 修改短信模板信息
export function updateMessage(data) {
    return request({
        url: '/manage/message/edit',
        method: 'put',
        data: data
    })
}

// 删除短信模板信息
export function delMessage(id) {
    return request({
        url: '/manage/message/remove/' + id,
        method: 'delete'
    })
}
// 查询科室信息列表及包含短信库数量
export function listMessageNum(query) {
    return request({
        url: '/system/department/listMessageNum',
        method: 'get',
        params: query
    })
}
